| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
NTuple::Range< TYP > Class Template Reference

Class defining a range. More...

`#include <GaudiKernel/NTuple.h>`

## Public Member Functions
| Range (TYP low, TYP upper)
| Standard constructor. More...
| Range (const Range< TYP > &copy)
| Copy constructor. More...
Range & | operator= (const Range< TYP > &copy)
| Adjust ranges. More...
virtual | ~Range ()=default
| Destructor. More...
TYP | lower () const
| Lower boundary of range. More...
TYP | upper () const
| Upper boundary of range. More...
TYP | distance () const
| Distance between lower and upper range. More...
template<>
IOpaqueAddress * | min ()
template<>
IOpaqueAddress * | max ()

## Static Public Member Functions
static TYP | min ()
| Minimal number of data. More...
static TYP | max ()
| Maximal number of data. More...

## Private Attributes
TYP | m_lower
| Lower boundary of range. More...
TYP | m_upper
| Upper boundary of range. More...

## Detailed Description

### template<class TYP>
class NTuple::Range< TYP >

Class defining a range.

Definition at line 37 of file NTuple.h.

## Constructor & Destructor Documentation

template<class TYP>

NTuple::Range< TYP >::Range | ( | TYP | low,
|  | TYP | upper
| ) |  |
| inline

Standard constructor.

Definition at line 66 of file NTuple.h.

66 : m_lower( std::move( low ) ), m_upper( std::move( upper ) ) {}
NTuple::Range::m_lower
TYP m_lower
Lower boundary of range.
Definition: NTuple.h:60
NTuple::Range::upper
TYP upper() const
Upper boundary of range.
Definition: NTuple.h:81
std::move
T move(T...args)
NTuple::Range::m_upper
TYP m_upper
Upper boundary of range.
Definition: NTuple.h:62
template<class TYP>

NTuple::Range< TYP >::Range | ( | const Range< TYP > & | copy | ) |
| inline

Copy constructor.

Definition at line 68 of file NTuple.h.

68 : m_lower( copy.m_lower ), m_upper( copy.m_upper ) {}
std::copy
T copy(T...args)
NTuple::Range::m_lower
TYP m_lower
Lower boundary of range.
Definition: NTuple.h:60
NTuple::Range::m_upper
TYP m_upper
Upper boundary of range.
Definition: NTuple.h:62
template<class TYP>

virtual NTuple::Range< TYP >::~Range | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

template<class TYP>

TYP NTuple::Range< TYP >::distance | ( |  | ) | const
| inline

Distance between lower and upper range.

Definition at line 83 of file NTuple.h.

83 { return m_upper - m_lower; }
NTuple::Range::m_lower
TYP m_lower
Lower boundary of range.
Definition: NTuple.h:60
NTuple::Range::m_upper
TYP m_upper
Upper boundary of range.
Definition: NTuple.h:62
template<class TYP>

TYP NTuple::Range< TYP >::lower | ( |  | ) | const
| inline

Lower boundary of range.

Definition at line 79 of file NTuple.h.

79 { return m_lower; }
NTuple::Range::m_lower
TYP m_lower
Lower boundary of range.
Definition: NTuple.h:60
template<class TYP>

static TYP NTuple::Range< TYP >::max | ( |  | ) |
| inline static

Maximal number of data.

Definition at line 87 of file NTuple.h.

87 { return std::numeric_limits<TYP>::max(); }
std::numeric_limits::max
T max(T...args)
template<>

IOpaqueAddress * NTuple::Range< IOpaqueAddress * >::max | ( |  | ) |
| inline

Definition at line 118 of file NTuple.h.

119 {
120 return (IOpaqueAddress*)0xffffffff;
121 }
IOpaqueAddress
Opaque address interface definition.
Definition: IOpaqueAddress.h:23
template<class TYP>

static TYP NTuple::Range< TYP >::min | ( |  | ) |
| inline static

Minimal number of data.

Definition at line 85 of file NTuple.h.

85 { return std::numeric_limits<TYP>::min(); }
std::numeric_limits::min
T min(T...args)
template<>

IOpaqueAddress * NTuple::Range< IOpaqueAddress * >::min | ( |  | ) |
| inline

Definition at line 113 of file NTuple.h.

114 {
115 return (IOpaqueAddress*)0x0;
116 }
IOpaqueAddress
Opaque address interface definition.
Definition: IOpaqueAddress.h:23
template<class TYP>

Range& NTuple::Range< TYP >::operator= | ( | const Range< TYP > & | copy | ) |
| inline

Adjust ranges.

Definition at line 70 of file NTuple.h.

71 {
72 m_lower = copy.m_lower;
73 m_upper = copy.m_upper;
74 return *this;
75 }
std::copy
T copy(T...args)
NTuple::Range::m_lower
TYP m_lower
Lower boundary of range.
Definition: NTuple.h:60
NTuple::Range::m_upper
TYP m_upper
Upper boundary of range.
Definition: NTuple.h:62
template<class TYP>

TYP NTuple::Range< TYP >::upper | ( |  | ) | const
| inline

Upper boundary of range.

Definition at line 81 of file NTuple.h.

81 { return m_upper; }
NTuple::Range::m_upper
TYP m_upper
Upper boundary of range.
Definition: NTuple.h:62

## Member Data Documentation

template<class TYP>

TYP NTuple::Range< TYP >::m_lower
| private

Lower boundary of range.

Definition at line 60 of file NTuple.h.

template<class TYP>

TYP NTuple::Range< TYP >::m_upper
| private

Upper boundary of range.

Definition at line 62 of file NTuple.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTuple.h